import { ItemBaseData } from "./base-item.mjs";
const fields = foundry.data.fields;

export default class ItemContainerData extends ItemBaseData {
    static defineSchema() {
        const schema = super.defineSchema();
        schema.onHand = new fields.BooleanField({ required: false, initial: false });
        schema.location = new fields.StringField({ required: false, blank: true, trim: true });
        schema.count = new fields.NumberField({ required: false, initial: 0, integer: true });
        schema.weight = new fields.NumberField({ required: false, initial: 0, integer: false });
        schema.weightless = new fields.BooleanField({ required: false, initial: false });
        schema.locked = new fields.BooleanField({ required: false, initial: false }); // GM only
        schema.lockedDescription = new fields.StringField({ required: false, blank: true, trim: true, nullable: true });
        return schema;
    }
}
